Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SetThreadNameDelegate Delegate
See Also

A function which returns an identifier pair for a thread of control formatted for display.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public delegate string SetThreadNameDelegate(
    	DbThreadID info
    )

Visual Basic (Declaration)
    Public Delegate Function SetThreadNameDelegate ( _
    	info As DbThreadID _
    ) As String

Visual C++
    public delegate String^ SetThreadNameDelegate(
    	DbThreadID^ info
    )

#### Parameters

info
  Type: BerkeleyDB..::.DbThreadID
  The thread of control to format

#### Return Value

The formatted identifier pair

# See Also

BerkeleyDB Namespace